Subject: RE: bug#30399: 27.0.50; tooltips are broken

From: Drew Adams <[email-masked]>
Date: Mon, 12 Feb 2018 06:43:57 -0800 (PST)

>  > You imply that "the behavior of 'x-show-tip'" will
>  > change.  That's what I'm asking about, in talking
>  > about "replacement".
> 
> 'x-show-tip' had a bug that has been hopefully fixed.
> I did not imply anything else.

That's good to hear.  That was not clear to me.

>  > You also said that we should not use 'x-show-tip'
>  > but should use only `tooltip-show', which is much
>  > more limited - not a substitute for 'x-show-tip'
>  > at all.
> 
> I'm using 'x-show-tip' in my private code, so why
> should I say such a thing.

I certainly got the wrong impression from what you
wrote, then.  Thanks for clarifying.

>  > The question is, if `x-tool-tip' is not expected
>  > to be replaced, but it is expected to change, just
>  > _how_ is it expected to change?
>  >
>  > Will we be able to do with the "new" `x-show-tip',
>  > what we can do with it now, even if we must "adapt"
>  > in some way to be able to do that?
> 
> Hopefully so.

Very good to hear.  Glad I asked for clarification,
and thank you for clarifying.  None of what you say now
was clear (to me) from your previous msgs in this thread.
Sorry, if the misunderstanding was my fault here.

And thanks for fixing the `x-show-tip' bug.